cURL
curl -i -X GET "https://api.box.com/2.0/hub_collaborations?hub_id=12345" \
-H "box-version: 2025.0" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.hub_collaborations.get_hub_collaborations_v2025_r0(hub.id)await client.hubCollaborations.getHubCollaborationsV2025R0({
hubId: hub.id,
} satisfies GetHubCollaborationsV2025R0QueryParams);try await client.hubCollaborations.getHubCollaborationsV2025R0(queryParams: GetHubCollaborationsV2025R0QueryParams(hubId: hub.id))client.getHubCollaborations().getHubCollaborationsV2025R0(new GetHubCollaborationsV2025R0QueryParams(hub.getId()))await client.HubCollaborations.GetHubCollaborationsV2025R0Async(queryParams: new GetHubCollaborationsV2025R0QueryParams(hubId: hub.Id));{
"entries": [
{
"id": "12345678",
"type": "hub_collaboration",
"hub": {
"id": "12345",
"type": "hubs"
},
"accessible_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"role": "editor",
"status": "accepted",
"acceptance_requirements_status": {
"terms_of_service_requirement": {
"is_accepted": true,
"terms_of_service": {
"id": "11446498",
"type": "terms_of_service"
}
},
"strong_password_requirement": {
"enterprise_has_strong_password_required_for_external_users": true,
"user_has_strong_password": true
},
"two_factor_authentication_requirement": {
"enterprise_has_two_factor_auth_enabled": true,
"user_has_two_factor_authentication_enabled": true
}
}
}
],
"limit": 1000,
"next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}Box Hubコラボレーション
Box Hubコラボレーションを取得
Box Hubのすべてのコラボレーションを取得します。
GET
/
hub_collaborations
cURL
curl -i -X GET "https://api.box.com/2.0/hub_collaborations?hub_id=12345" \
-H "box-version: 2025.0" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.hub_collaborations.get_hub_collaborations_v2025_r0(hub.id)await client.hubCollaborations.getHubCollaborationsV2025R0({
hubId: hub.id,
} satisfies GetHubCollaborationsV2025R0QueryParams);try await client.hubCollaborations.getHubCollaborationsV2025R0(queryParams: GetHubCollaborationsV2025R0QueryParams(hubId: hub.id))client.getHubCollaborations().getHubCollaborationsV2025R0(new GetHubCollaborationsV2025R0QueryParams(hub.getId()))await client.HubCollaborations.GetHubCollaborationsV2025R0Async(queryParams: new GetHubCollaborationsV2025R0QueryParams(hubId: hub.Id));{
"entries": [
{
"id": "12345678",
"type": "hub_collaboration",
"hub": {
"id": "12345",
"type": "hubs"
},
"accessible_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"role": "editor",
"status": "accepted",
"acceptance_requirements_status": {
"terms_of_service_requirement": {
"is_accepted": true,
"terms_of_service": {
"id": "11446498",
"type": "terms_of_service"
}
},
"strong_password_requirement": {
"enterprise_has_strong_password_required_for_external_users": true,
"user_has_strong_password": true
},
"two_factor_authentication_requirement": {
"enterprise_has_two_factor_auth_enabled": true,
"user_has_two_factor_authentication_enabled": true
}
}
}
],
"limit": 1000,
"next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}「Box SDKのバージョニング戦略について詳しく学ぶ。」
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ヘッダー
Version header.
利用可能なオプション:
2025.0 クエリパラメータ
Hubを表す一意の識別子。
HubのIDを確認するには、ウェブアプリでこのHubにアクセスして、URLからIDをコピーします。たとえば、URLがhttps://*.app.box.com/hubs/123の場合、hub_idは123です。
結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。
これを使用するには、usemarkerをtrueに設定する必要があります。
返す項目の1ページあたりの最大数。
必須範囲:
x <= 1000レスポンス
指定されたBox Hubに関連付けられているコラボレーションを取得します。
最終更新日 2026年1月23日
このページは役に立ちましたか?
⌘I
